variables:
  CONTAINER_NAME: ternida_app
  HOST_IP: 18.136.198.77
  HOST_PORT: 4245 # use other ports between 3000-6000

stages:
  - build
  - test
  - deploy

build-job:
  stage: build
  image: node:18
  script:
    - npm install
    - npm run build

test-job:
  stage: test
  image: node:18
  script:
    - npm install
    - npm run test

deploy-job:
  stage: deploy
  image: docker:latest
  services:
    - docker:latest
  script:
    - docker build -t $CONTAINER_NAME .
    - docekr run -d -p $HOST_IP:$HOST_PORT:$HOST_PORT --name $CONTAINER_NAME $CONTAINER_NAME

